import sys
forge = sys.modules["forge"]

def setup(module):
	deplibs = [	"fePlatformLib",
				"feMemoryLib",
				"feCoreLib",
				"fePluginLib",
				"feDataLib" ]

	tests =	[	"xAttribute",
				"xCookbook",
				"xScope",
				"xRecordGroup",
				"xStateEaseOfUse",
				"xSerialization",
				"xSpeed",
				"xFileStream",
				"xWeakRecord" ]

	for t in tests:
		module.Exe(t)
		forge.deps([t + 'Exe'], deplibs)

	forge.tests += [
		("xAttribute.exe",		"",					None,		None),
		("xCookbook.exe",		"",					None,		None),
		("xScope.exe",			"",					None,		None),
		("xRecordGroup.exe",	"100",				None,		None),
		("xWeakRecord.exe",		"",					None,		None),
#		("xSerialization.exe",	"binary",			None,		None),
#		("xSerialization.exe",	"",					None,		None),
		("xStateEaseOfUse.exe",	"",					None,		None) ]

